package ru.dbotthepony.mc.otm.client.render.entity

import net.minecraft.client.model.HierarchicalModel
import net.minecraft.client.renderer.entity.EntityRendererProvider
import net.minecraft.client.renderer.entity.MobRenderer
import net.minecraft.resources.ResourceLocation
import ru.dbotthepony.mc.otm.OverdriveThatMatters.loc
import ru.dbotthepony.mc.otm.client.model.entity.CleanerModel
import ru.dbotthepony.mc.otm.entity.Cleaner

class CleanerRenderer(context: EntityRendererProvider.Context)
	: MobRenderer<Cleaner, HierarchicalModel<Cleaner>>(context, CleanerModel.getModel(), 0.5f) {
	override fun getTextureLocation(entity: Cleaner): ResourceLocation = TEXTURE_LOCATION

	companion object {
		private val TEXTURE_LOCATION = loc("textures/entity/cleaner.png")
	}
}
